%define	name	galan
%define	version	0.2.14
%define	release	3mdk

%define	major	0
%define	libname	%mklibname %name %major

Summary: 	Graphical audio processing toolkit
Name: 		%name
Version: 	%version
Release:	%release
Source0:	%name-%version.tar.bz2
URL: 		http://galan.sourceforge.net/
License: 	GPL
Group: 		Sound
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  libalsa-devel libaudiofile-devel pkgconfig libesound-devel libvorbis-devel
Buildrequires:  libgtk+1.2-devel libgtkglarea5-devel libgdk-pixbuf2-devel libMesaGLU-devel
Requires:	%libname = %version-%release

%description
Using gAlan is much like setting up an effects-chain for, say, a guitar.
You choose the effects units you wish to use, lay them out, and then
connect them to each other, starting with the guitar, threading through
the effects, and ending up at the amplifier (and ultimately the speakers).

It's not just limited to acting as an effects-chain, though. You can also
configure it (using the same basic principles) to act as a mixer, a
sample-sequencer or drum machine, or a synthesiser capable of emulating
various analogue systems. The examples page and the tutorial provide some
descriptions of some of the ways gAlan can be used. The User Guide has a
section on common motifs in mesh design which may also give an impression
of how gAlan works.

%package -n %libname
Summary:	Main libraries for %name.
Group:		System/Libraries

%description -n %{libname}
This package contains the dynamic library of plugins from %name.

%package -n %{libname}-devel
Summary:        Static libraries for %name plugins.
Group:          Development/C++

%description -n %{libname}-devel
The %{libname}-devel package includes the static libraries
necessary for developing programs using %{libname} plugins.

%prep
%setup -q

%build
%configure
%make

%install
%makeinstall

#cleanup
for i in doc/CVS doc/examples/CVS doc/examples/samples/CVS doc/exdoc/html/CVS doc/html/CVS
do
rm -fr $i
done

#menu
install -d -m 0755 %buildroot/%_menudir
cat > %buildroot/%_menudir/%{name} <<EOF
?package(%{name}): \
command="galan" \
title="gAlan" \
longtitle="Audio processing" \
needs="x11" \
section="Multimedia/Sound" \
icon="sound_section.png"
EOF

%post
%update_menus

%postun
%clean_menus

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS NOTES README TODO doc/examples doc/html
%_bindir/*
%_datadir/%name
%_menudir/*

%files -n %{libname}
%defattr(-,root,root)
%dir %_libdir/%name
%_libdir/%name/plugins/*.so*

%files -n %{libname}-devel
%defattr(-,root,root)
%_libdir/%name/plugins/*.la
%_libdir/%name/plugins/*.a

%changelog
* Tue Aug 5 2003 Austin Acton <aacton@yorku.ca> 0.2.14-3mdk
- DIRM

* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 0.2.14-2mdk
- buildrequires glu

* Sat Mar 22 2003 Austin Acton <aacton@yorku.ca> 0.2.14-1mdk
- 0.2.14
- use mklibname

* Sun Feb 2 2003 Austin Acton <aacton@yorku.ca> 0.2.13d-1mdk
- 0.2.13d

* Sun Jan 12 2003 Austin Acton <aacton@yorku.ca> 0.2.12-1mdk
- initial build
